package com.simuwang.base.mapper.daq;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.ContactInformationDO;

import com.simuwang.base.pojo.dto.query.ContactQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ContactInformationMapper extends BaseMapper<ContactInformationDO> {

    ContactInformationDO getContactInformation(ContactInformationDO contactInformationDO);

    List<ContactInformationDO> selectContactInformationList(ContactQuery contactQuery);

    long countContactInfo(ContactQuery contactQuery);

    void deleteContactInformationById(@Param("id") Integer id,@Param("userId")  Integer userId);

    List<ContactInformationDO> selectContactInformationListByCompanyId(@Param("companyId") String companyId);

    List<ContactInformationDO> getAllRecords();

    ContactInformationDO selectByKey(ContactInformationDO contactInformationDO);
}